System.ServiceModel 4.0.0.0 System.IdentityModel.Selectors.SecurityTokenProvider

The SSPI security token is not capable of any cryptographic operations, but contains only the settings needed for Windows authentication.

Represents a security token provider that provides an SSPI security token.

- Constructor
  4.0.0.0

  The instance of this class is used for SSPI tokens on the service.

  Initializes a new instance of the class.

  The that represents the server identity.
  true to expand users to include Windows Groups; otherwise, false.
  true to allow unauthenticated callers; otherwise, false.
- Constructor
  4.0.0.0

  The new instance of this class is used for SSPI tokens on the client.

  Initializes a new instance of the class.

  The that represents the client identity.
  true to allow NTLM authentication; otherwise, false.
  The granted to the server.
- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityToken ``

  The security token is of type .

  Gets the security token.

  The security token.

  A that represents the time-out interval.